Bug 1050872 - (CVE-2014-1236) CVE-2014-1236 graphviz: stack-based buffer overflow in chkNum()
CVE-2014-1236 graphviz: stack-based buffer overflow in chkNum()
Status: CLOSED NEXTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140108,reported=2...
: Security
Depends On: 1050873 1050874 1050875
Blocks: 1049172
  Show dependency treegraph
 
Reported: 2014-01-09 04:38 EST by Ratul Gupta
Modified: 2015-07-31 03:14 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-20 07:19:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2014-01-09 04:38:46 EST
Graphviz, a collection of tools for the manipulation and layout of graphs, was recently reported to be affected by a buffer overflow vulnerability from user input, which seem to be caused due to the acceptance of arbitrary long digit list by regex.

References:
http://seclists.org/oss-sec/2014/q1/46

Commit:
https://github.com/ellson/graphviz/commit/1d1bdec6318746f6f19f245db589eddc887ae8ff
Comment 2 Ratul Gupta 2014-01-09 04:42:11 EST
Created graphviz tracking bugs for this issue:

Affects: fedora-all [bug 1050873]
Affects: epel-5 [bug 1050874]
Comment 6 Fedora Update System 2014-02-11 14:16:09 EST
graphviz-2.12-10.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-02-11 18:00:02 EST
graphviz-2.34.0-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-02-11 18:01:58 EST
graphviz-2.30.1-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Tomas Hoger 2015-05-19 09:44:24 EDT
Impact of this flaw is mitigated by the use of FORTIFY_SOURCE hardening feature.  It prevents this issue from being exploitable for code execution.  Overflow is detected before any memory corruption happens and application is terminated (via abort()).  Hence this can only cause an unexpected termination of affected application (such us some of the graphviz command line tools, or other applications using graphviz's libcgraph library).
Comment 13 Tomas Hoger 2015-05-20 07:19:26 EDT
As this is mitigated by the FORTIFY_SOURCE, lowering impact rating accordingly.  We are no longer planning to correct this in future updates of affected already released products.

Statement:

This issue affects the versions of the graphviz package as shipped with Red Hat Enterprise Linux 6. Red Hat Product Security has rated this issue as having Low security impact and therefore it is not planned to be addressed in future updates.

This issue did not affect the versions of the graphviz package as shipped with Red Hat Enterprise Linux 7.

Note You need to log in before you can comment on or make changes to this bug.